-always-load-config [0|1] (default: 0)
  Load config also for slave instances. Slower, but more robust.
-anonymous [0|1] (default: 0)
  Restricts ELinks so it can run on an anonymous account. Local file browsing, downloads, and modification of options will be disabled. Execution of viewers is allowed, but entries in the association table can't be added or modified.
-auto-submit [0|1] (default: 0)
  Automatically submit the first form in the given URLs.
-base-session <num> (default: 0)
  Used internally when opening ELinks instances in new windows. The ID maps to information that will be used when creating the new instance. You don't want to use it.
-bind-address <str> (default: "")
  Use a specific local IP address
-bind-address-ipv6 <str> (default: "")
  Use a specific local IPv6 address
-colors (alias for document.colors.use_document_colors)
  Possible values 0, 1 or 2.
-config-dir <str> (default: "")
  Path of the directory ELinks will read and write its config and runtime state files to instead of ~/.config/elinks. If the path does not begin with a '/' it is assumed to be relative to your `HOME` directory.
-config-dump
  Print a configuration file with options set to the built-in defaults to stdout.
-config-file <str> (default: "elinks.conf")
  Name of the configuration file that all configuration options will be read from and written to. It should be relative to config-dir.
-config-help
  Print help for configuration options and exit.
-default-mime-type (alias for mime.default_type)
  The default MIME type used for documents of unknown type.
-default-keys [0|1] (default: 0)
  When set, all keybindings from configuration files will be ignored. It forces use of default keybindings and will reset user-defined ones on save.
-delete-timer-queue [0|1] (default: 0)
  Whether to delete timer queue under Windows. When QuickJS is enabled on Win32, you can enable this option to disable js execution timeouts.
-dump [0|1] (default: 0)
  Print formatted plain-text versions of given URLs to stdout.
-dump-charset (alias for document.dump.codepage)
  Codepage used when formatting dump output.
-dump-color-mode (alias for document.dump.color_mode)
  Color mode used with -dump.
-dump-width (alias for document.dump.width)
  Width of the dump output.
-eval
  Specify configuration file directives on the command-line which will be evaluated after all configuration files has been read. Example usage:

  > `-eval 'set protocol.file.allow_special_files = 1'`

-force-html
  Makes ELinks assume documents of unknown types are HTML. Useful when using ELinks as an external viewer from MUAs. This is equivalent to `-default-mime-type text/html`.
-?, -h, -help
  Print usage help and exit.
-localhost [0|1] (default: 0)
  Restricts ELinks to work offline and only connect to servers with local addresses (ie. 127.0.0.1). No connections to remote servers will be permitted.
-long-help
  Print detailed usage help and exit.
-lookup
  Look up specified host and print all DNS resolved IP addresses.
-no-connect [0|1] (default: 0)
  Run ELinks as a separate instance instead of connecting to an existing instance. Note that normally no runtime state files (bookmarks, history, etc.) are written to the disk when this option is used. See also -touch-files.
-no-home [0|1] (default: 0)
  Disables creation and use of files in the user specific home configuration directory (~/.config/elinks). It forces default configuration values to be used and disables saving of runtime state files.
-no-libevent [0|1] (default: 0)
  Disables libevent.
-no-numbering (alias for document.dump.numbering)
  Prevents printing of link number in dump output.

  Note that this really affects only -dump, nothing else.

-no-references (alias for document.dump.references)
  Prevents printing of references (URIs) of document links in dump output.

  Note that this really affects only -dump, nothing else.

-remote
  Control a remote ELinks instance by passing commands to it. The option takes an additional argument containing the method which should be invoked and any parameters that should be passed to it. For ease of use, the additional method argument can be omitted in which case any URL arguments will be opened in new tabs in the remote instance.

  Following is a list of the supported methods:

  - `ping()`: look for a remote instance
  - `openURL()`: prompt URL in current tab
  - `openURL(URL)`: open URL in current tab
  - `openURL(URL, new-tab)`: open URL in new tab
  - `openURL(URL, new-window)`: open URL in new window
  - `addBookmark(URL, title)`: bookmark URL with title
  - `infoBox(text)`: show text in a message box
  - `reload()`: reload the document in the current tab
  - `search(string)`: search in the current tab
  - `xfeDoCommand(openBrowser)`: open new window
-session-ring <num> (default: 0)
  ID of session ring this ELinks session should connect to. ELinks works in so-called session rings, whereby all instances of ELinks are interconnected and share state (cache, bookmarks, cookies, and so on). By default, all ELinks instances connect to session ring 0. You can change that behaviour with this switch and form as many session rings as you want. Obviously, if the session-ring with this number doesn't exist yet, it's created and this ELinks instance will become the master instance (that usually doesn't matter for you as a user much).

  Note that you usually don't want to use this unless you're a developer and you want to do some testing - if you want the ELinks instances each running standalone, rather use the -no-connect command-line option. Also note that normally no runtime state files are written to the disk when this option is used. See also -touch-files.

-source [0|1] (default: 0)
  Print given URLs in source form to stdout.
-terminfo [0|1] (default: 0)
  When enabled, terminfo ncurses functions will be used instead of hardcoded sequences.
-test [0|1] (default: 0)
  When enabled, helps to test js.
-touch-files [0|1] (default: 0)
  When enabled, runtime state files (bookmarks, history, etc.) are written to disk, even when -no-connect or -session-ring is used. The option has no effect if not used in conjunction with any of these options.
-verbose <num> (default: 1)
  The verbose level controls what messages are shown at start up and while running:
  - 0 means only show serious errors
  - 1 means show serious errors and warnings
  - 2 means show all messages
-version
  Print ELinks version information and exit.

Generated using output from ELinks version 0.19.1.